Eventi
Ce contenu n’est pas encore disponible dans votre langue.
GET /api/v3/events
Sezione intitolata “GET /api/v3/events”Eventi della flotta dell’owner della chiave (ingresso/uscita da un’area, accensione, sosta, allarmi…). Permesso: read_events.
| Parametro | Default | Note |
|---|---|---|
type |
— | filtro per tipo evento — vedi sotto per i valori delle geofence |
device |
— | filtro per IMEI |
from / to |
— | finestra temporale, ISO 8601 |
limit |
50 | 1–200 |
offset |
0 |
Per gli eventi di geofence, type accetta:
| Valore | Cosa filtra |
|---|---|
geofence |
tutti gli eventi di geofence (ingressi e uscite) |
geofence_enter / geofence_entry |
solo gli ingressi |
geofence_exit |
solo le uscite |
geofence_enter/geofence_entry/geofence_exit sono alias che filtrano sullo stesso evento
geofence, distinguendo ingresso da uscita.
curl -H "X-API-Key: $AITRACK_API_KEY" \ "https://api.aitrack.it/api/v3/events?type=geofence_enter&limit=50"const url = new URL('https://api.aitrack.it/api/v3/events');url.searchParams.set('type', 'geofence_enter');url.searchParams.set('limit', '50');
const res = await fetch(url, { headers: { 'X-API-Key': process.env.AITRACK_API_KEY } });const { data, meta } = await res.json();res = requests.get( "https://api.aitrack.it/api/v3/events", headers={"X-API-Key": api_key}, params={"type": "geofence_enter", "limit": 50}, timeout=10,)events = res.json()["data"]{ "data": [ { "id": 5521, "type": "geofence", "message": "Furgone 1 è entrato in Magazzino", "device_imei": "352093081452312", "data": { "areaId": 12, "event": "entry" }, "read": false, "occurred_at": "2026-07-14T08:59:00.000Z" } ], "meta": { "pagination": { "limit": 50, "offset": 0, "count": 1 } }}Vedi anche Errori e limiti per la busta e i codici comuni (stessi della v2), e
Aree per gli eventi di ingresso/uscita filtrati per singola area
(GET /api/v3/areas/{id}/events).